using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Security;

namespace Decal.Interop.Core;

[ComImport]
[SuppressUnmanagedCodeSecurity]
[Guid("6A188D19-EC3D-409D-8190-7975FEEE2081")]
[InterfaceType(1)]
public interface IDecalUninstall
{
	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	void Prepare([MarshalAs(UnmanagedType.Interface)] DecalEnum pEnum);

	[MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
	void Uninstall();
}
